Skip to main content

CreateBatchTransferRequest

Request body for creating multiple transfers in a single call. Common fields apply to the batch; each item in transfers specifies amount and recipient. Each item may omit currencyCode when it matches the batch-level currencyCode. It defaults to the batch-level currencyCode.

merchantRefNumstring

Merchant reference number for the batch.

Possible values: <= 50 characters

Example: batch-001
currencyCodeCurrency (string)required

Currency alphabetic code as specified by ISO 4217

Possible values: >= 3 characters and <= 3 characters

Example: EUR
transferDetails objectrequired

Represents the details of a fee transfer.

reasonCustomerTransferReason (string)required

The actual purpose of the transfer.

  • INITIAL_BALANCE_MIGRATION - After customer onboarding, migrations of existing balances.
  • CRYPTO_BUY - The customer is buying crypto or other assets.
  • CRYPTO_SELL - The customer is selling crypto or other assets.
  • TRADING_PAIR - The transfer represents a trading pair transaction between customers with wallets.
  • DEPOSIT - Crediting the customer's wallet via non-Paysafe deposit options.
  • WITHDRAWAL - Debiting the customer's wallet via non-Paysafe withdrawal options.
  • MERCHANT_FEE - Charging a merchant fee.
  • REFUND - Refunding the customer on a previous transaction.
  • CANCELATION - Cancelation of a previous transaction.
  • BONUS - Customer is granted a bonus.
  • CURRENCY_EXCHANGE - Converting one currency to another.
  • PURCHASE - The customer is purchasing goods or services from a merchant.
  • PAYOUT - The merchant is compensating a customer for goods or services.
  • PEER_TRANSFER - Money transfer between customers with wallets.
  • CHEQUE - Money transfer between customer and merchant. To be used for cheque payment in future.
  • CHEQUE_WITHDRAWAL - Debiting the customer's wallet for cheque payment.
  • WALLET_CHECKOUT - Money transfer between customer and merchant. Used by Wallet Checkout.
  • OTHER - Any reason not explicitly mentioned in the transfers.

Possible values: [INITIAL_BALANCE_MIGRATION, CRYPTO_BUY, CRYPTO_SELL, TRADING_PAIR, DEPOSIT, WITHDRAWAL, MERCHANT_FEE, REFUND, CANCELATION, BONUS, CURRENCY_EXCHANGE, PURCHASE, PAYOUT, PEER_TRANSFER, CHEQUE, CHEQUE_WITHDRAWAL, WALLET_CHECKOUT, OTHER]

descriptionstring

Human readable description for the transfer.

Possible values: <= 400 characters

transfers object[]required

List of transfers to add or replace in the batch.

Possible values: <= 20

  • Array [
  • amountinteger<int64>required

    Transaction amount in minor units.

    Example: 1000
    currencyCodeCurrency (string)

    Currency alphabetic code as specified by ISO 4217

    Possible values: >= 3 characters and <= 3 characters

    Example: EUR
    recipient objectrequired

    Contains transfer recipient information. If used in CustomerTransferRequest context, the system tries to resolve email or mobile to customerId in the system.

    customerIdstring

    Wallet customer identifier.

    fullNamestring
    Example: Jon Doe
    emailstring<email>

    Possible values: <= 150 characters

    mobilestring

    Mobile number

    Possible values: <= 50 characters, Value must match regular expression ^\+\d+\s?\d{1,16}$

    Example: +12025550120
    merchantRefNumstring

    Merchant reference number associated with the transfer. Auto-generated if not provided.

    Possible values: <= 50 characters

    Example: 5040452805
  • ]
  • CreateBatchTransferRequest
    {
    "merchantRefNum": "batch-001",
    "currencyCode": "EUR",
    "transferDetails": {
    "reason": "INITIAL_BALANCE_MIGRATION",
    "description": "string"
    },
    "transfers": [
    {
    "amount": 1000,
    "currencyCode": "EUR",
    "recipient": {
    "customerId": "string",
    "fullName": "Jon Doe",
    "email": "user@example.com",
    "mobile": "+12025550120"
    },
    "merchantRefNum": "5040452805"
    }
    ]
    }